# Contracts

### Portikus Adapter

Portikus Adapter is Velora's Delta contract

When working on the API implementation, you’ll use the following contract addresses at these stages:

* Order creation
* Signing order
* Submitting Order to API
* On-Chain Execution

Delta’s contract has been deployed on Ethereum and Base networks. It shares the same address across both chains.

### &#x20;Addresses of Delta contract

<table><thead><tr><th width="179">Network</th><th>Address</th></tr></thead><tbody><tr><td>Ethereum</td><td><a href="https://etherscan.io/address/0x0000000000bbf5c5fd284e657f01bd000933c96d">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr><tr><td>Base</td><td><a href="https://basescan.org/address/0x0000000000bbf5c5fd284e657f01bd000933c96d">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr><tr><td>Optimism</td><td><a href="https://optimistic.etherscan.io/address/0x0000000000bbF5c5Fd284e657F01Bd000933C96D">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr><tr><td>Arbitrum</td><td><a href="https://arbiscan.io/address/0x0000000000bbf5c5fd284e657f01bd000933c96d">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr><tr><td>Polygon</td><td><a href="https://polygonscan.com/address/0x0000000000bbf5c5fd284e657f01bd000933c96d">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr><tr><td>BSC</td><td><a href="https://bscscan.com/address/0x0000000000bbf5c5fd284e657f01bd000933c96d">0x0000000000bbf5c5fd284e657f01bd000933c96d</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/velora-api/velora-delta-api/contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
